Bug 707225

Summary: Adding support for monitoring and alerting on server drift
Product: [Other] RHQ Project Reporter: Charles Crouch <ccrouch>
Component: No ComponentAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED NOTABUG QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: urgent    
Version: 4.0.0CC: hbrock, hrupp, jsanda
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=732074
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-09 05:32:30 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 732037, 732831, 734206, 738240, 749852, 756086, 759405, 710268, 717051, 728345, 730993, 731573, 731576, 731889, 732030, 732048, 732051, 732074, 732078, 732102, 732109, 734177, 734194, 734575, 734879, 734881, 735230, 735378, 735496, 736204, 736208, 737642, 737647, 738243, 738344, 738346, 738347, 738349, 738353, 738359, 738369, 738404, 739183, 739194, 745236, 748979, 749415, 749419, 749595, 749871, 749894, 749899, 749913, 750304, 750886, 750895, 750917, 751435, 751474, 751914, 752173, 752957, 753000, 753659, 753827, 755073, 755574, 755580, 755673, 756100, 757758, 757827, 757958, 758426, 758724, 760209, 760263, 765592, 767205, 768031, 785847, 786224, 786294, 786611    
Bug Blocks: 620931    

Description Charles Crouch 2011-05-24 09:09:13 EDT
Tracking issue for supporting drift management. The aim here is to provide insight into what changes occur in the setup of a server instance, e.g. JBAS, and to alert the user to changes they do not expect

Basic use cases fall into two categories
a) detecting how a server instance changes over time with respect to itself (could also apply to how a group of instances change over time with respect to themselves)
b) detecting how a server instance changes over time with respect to a baseline snapshot (could also apply to how a group of instances change over time with respect to a single baseline snapshot)

Sample use cases
-User wants to be able to see how the configuration of their JBAS instance has changed overtime
-User wants to be alerted when their JBAS instance changes configuration
-User wants to be able to turn off config detection temporarily, so that they can deploy a new app to the instance without 
-User wants to be compare a JBAS instance to a specific snapshot
Comment 1 Charles Crouch 2011-09-30 19:30:46 EDT
fix blocks/depends bz's
Comment 2 Heiko W. Rupp 2013-12-09 05:32:30 EST
Closing this tracking issue as drift has been implemented for quite some time - this makes no implication about dependencies